
QGIS Application - Bug report #15918

2to3 QEventLoop

2016-11-30 09:34 PM - dr -

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23835

Description

scripts/2to3 not take into account QEventLoop:

-from PyQt4.QtCore import QUrl, QEventLoop, QFile, QIODevice

-from PyQt4.QtNetwork import QNetworkRequest, QNetworkReply

+from qgis.PyQt.QtCore import QUrl, QFile, QIODevice

+from qgis.PyQt.QtNetwork import QNetworkRequest, QNetworkReply

History

#1 - 2016-12-01 12:08 AM - dr -

I've made PR: https://github.com/qgis/QGIS/pull/3818

#2 - 2016-12-01 01:40 AM - dr -

- Resolution set to fixed/implemented

Merged.

#3 - 2016-12-01 10:55 AM - Nyall Dawson

- Status changed from Open to Closed
